Patch Rules

Patch Rules
Updates Customer Rules

This API updates customer rules. Only rule name update is allowed. It returns the updated rules definition.

Request
URI
PATCH
https://umip/api/v1/rules
COPY
Request Body

Rules update definition

PatchRulesRequest of type(s) application/json
Required
{
    "rules": [
        {
            "name": "string",
            "id": "string"
        }
    ]
}
array of object
rules
Optional

rules

Authentication
This operation uses the following authentication methods.
Responses
200

Rules updated

Returns PatchRulesResponse of type(s) application/json
{
    "rules": [
        {
            "productType": "string",
            "productId": 0,
            "name": "string",
            "targetId": "string",
            "targetType": "string",
            "id": "string"
        }
    ]
}
array of object
rules
Optional

rules


400

Invalid data for one or more fields in the request

Returns 400InvalidRequest of type(s) application/json
{
    "errCode": "GW_REQ_KEY",
    "errMessage": "Not found expected value for key 'sampleKey'"
}
string
errCode
Optional

errCode

string
errMessage
Optional

errMessage


401

Unauthorized - Invalid login credentials

{
    "errCode": "string"
}
string
errCode
Optional

errCode


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'